Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class RealEvalTest

    java.lang.Object
      com.singularsys.jeptests.JepTest
          com.singularsys.jeptests.CPTest
              com.singularsys.jeptests.RealEvalTest

    public class RealEvalTest

extends CPTest

Field Summary

Fields inherited from class com.singularsys.jeptests.JepTest
`jep, myFalse, myTrue, PRINT_RESULTS`

Constructor Summary
`RealEvalTest()`

Method Summary
`void` | `setUp()` Sets up the parser.
`void` | `testCaseString()`
`void` | `testChangeVariableComplex()` Test changing variables value after parsing
`void` | `testComplex()`
`void` | `testCPStrings()`
`void` | `testEvaluateComplex()`
`void` | `testEvaluateString()`
`void` | `testListAccess()`
`void` | `testMultiDimArray()`
`void` | `testMultiDimArrayAccess()`
`void` | `testStrings()`
`void` | `testStringsFun()`
`protected void` | `valueTest(java.lang.String expr, java.lang.Object expected)` Test result j.evaluate(j.parse(expr))

Methods inherited from class com.singularsys.jeptests.CPTest
`testAddOp, testBug61, testEmptyEqn2, testMultiDimArrayPrint`

Methods inherited from class com.singularsys.jeptests.JepTest
`assertEqNodes, calcValue, calcValue, compareRecursive, complexValueTest, myAssertEquals, myAssertNaN, nodeTest, nodeTest, nodeTest, nodeTest, printTestHeader, testAssign, testBinom, testBlankParser, testChangeVariable, testComments, testEmptyEqn, testEvalExceptions, testEvaluate, testExpectedTokenSequence, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testLazyLogicalBug, testLogarithm, testLogical, testMacroFunction, testMultiLine, testMultiplyBug, testNaN, testNoAssign, testNumbers, testNumParam, testParseException, testPlusPlus, testRecursiveMacroFunction, testSemiColon, testSetAllowUndeclared, testSimpleSum, testSwitch, testUminusPower, testX2Y, valueTest, valueTestFail, valueTestNaN, valueTestString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealEvalTest

    public RealEvalTest()

Method Detail

### setUp

    public void setUp()

  Description copied from class: `JepTest`
  Sets up the parser.

  Overrides:
    `setUp` in class `CPTest`

### valueTest

    protected void valueTest(java.lang.String expr,
                             java.lang.Object expected)
                      throws java.lang.Exception

  Description copied from class: `JepTest`
  Test result j.evaluate(j.parse(expr))

  Overrides:
    `valueTest` in class `JepTest`
  Parameters:
    `expr` - the expression to parse and evaluate
    `expected` - result expected
  Throws:
    `java.lang.Exception`

### testEvaluateComplex

    public void testEvaluateComplex()
                             throws java.lang.Exception

  Overrides:
    `testEvaluateComplex` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testEvaluateString

    public void testEvaluateString()
                            throws java.lang.Exception

  Overrides:
    `testEvaluateString` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testComplex

    public void testComplex()
                     throws java.lang.Exception

  Overrides:
    `testComplex` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testChangeVariableComplex

    public void testChangeVariableComplex()

  Description copied from class: `JepTest`
  Test changing variables value after parsing

  Overrides:
    `testChangeVariableComplex` in class `JepTest`

### testListAccess

    public void testListAccess()
                        throws java.lang.Exception

  Overrides:
    `testListAccess` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testMultiDimArray

    public void testMultiDimArray()
                           throws java.lang.Exception

  Overrides:
    `testMultiDimArray` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testMultiDimArrayAccess

    public void testMultiDimArrayAccess()
                                 throws java.lang.Exception

  Overrides:
    `testMultiDimArrayAccess` in class `CPTest`
  Throws:
    `java.lang.Exception`

### testStrings

    public void testStrings()
                     throws java.lang.Exception

  Overrides:
    `testStrings` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testStringsFun

    public void testStringsFun()
                        throws java.lang.Exception

  Overrides:
    `testStringsFun` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testCPStrings

    public void testCPStrings()
                       throws java.lang.Exception

  Overrides:
    `testCPStrings` in class `CPTest`
  Throws:
    `java.lang.Exception`

### testCaseString

    public void testCaseString()
                        throws java.lang.Exception

  Overrides:
    `testCaseString` in class `JepTest`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep